'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.history = exports.store = exports.DevTools = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reduxDevtools = require('redux-devtools');

var _reduxDevtoolsLogMonitor = require('redux-devtools-log-monitor');

var _reduxDevtoolsLogMonitor2 = _interopRequireDefault(_reduxDevtoolsLogMonitor);

var _reduxDevtoolsDockMonitor = require('redux-devtools-dock-monitor');

var _reduxDevtoolsDockMonitor2 = _interopRequireDefault(_reduxDevtoolsDockMonitor);

var _reactRouter = require('react-router');

var _reactRouterRedux = require('react-router-redux');

var _redux = require('redux');

var _reactReduxAuth = require('react-redux-auth0');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//Set up Redux Middleware


//Redux


//React-Router
var reducer = (0, _redux.combineReducers)({
  auth: _reactReduxAuth.AuthReducer,
  routing: _reactRouterRedux.routerReducer
});

//Set up Dev Tools


//Reducers


//Redux DevTools
var DevTools = (0, _reduxDevtools.createDevTools)(_react2.default.createElement(
  _reduxDevtoolsDockMonitor2.default,
  { toggleVisibilityKey: 'ctrl-h',
    changePositionKey: 'ctrl-q' },
  _react2.default.createElement(_reduxDevtoolsLogMonitor2.default, { theme: 'tomorrow', preserveScrollTop: false })
));

//Create the store
var middlewareToApply = (0, _redux.applyMiddleware)(_reactReduxAuth.AuthMiddleware, (0, _reactRouterRedux.routerMiddleware)(_reactRouter.browserHistory));
var finalCreateStore = (0, _redux.compose)(middlewareToApply, DevTools.instrument())(_redux.createStore);

var store = finalCreateStore(reducer);
var history = (0, _reactRouterRedux.syncHistoryWithStore)(_reactRouter.browserHistory, store);

//Exports
exports.default = store;
exports.DevTools = DevTools;
exports.store = store;
exports.history = history;